## pdm 0.1

=== Makefile ===
pdm: pdm.o
	$(CC) -o $@ $< `gtk-config --libs` -lcrypt

pdm.o: pdm.c
	$(CC) -c -o $@ $< `gtk-config --cflags` -Os -Wall -fomit-frame-pointer

install:
	cp pdm $(DESTDIR)/usr/bin/

clean:
	rm -f pdm pdm.o
