=== debian/changelog ===
pdm (0.1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@debian.org>  Sun, 16 Dec 2001 12:50:56 +0000

Local variables:
mode: debian-changelog
End:
