=== debian/control ===
Source: pdm
Section: x11
Priority: optional
Maintainer: Philip Blundell <pb@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev
Standards-Version: 3.5.2

Package: pdm
Architecture: any
Depends: ${shlibs:Depends}
Description: Small GTK-based login program
 Pdm is a miniature login program, intended for use on PDAs and
 other small systems.  It is not a proper replacement for xdm, but
 has just about enough functionality to authenticate a user and
 start a session.
