## pdm 2.0.3+ds1

=== debian/changelog ===
pdm (2.0.3+ds1-1) unstable; urgency=medium

  * New upstream release 2.0.3.
  * debian/control: Update package version requirement.
  * d/p/0002-disable-test_integration: Dropped, not needed anymore.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Jul 2022 17:16:45 -0400

pdm (2.0.1+ds1-1) unstable; urgency=medium

  * New upstream release 2.0.1.
  * debian/rules: Disable using dynamic version for now to correct pdm
    version information.
  * debian/patches: Add patch to disable test_integration. These tests
    needs python3 versions outside of Debian's support scope.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Jul 2022 11:58:39 -0400

pdm (2.0.0b2+ds1-1) unstable; urgency=medium

  * New upstream version 2.0.0b2+ds1.
  * debian/: Apply wrap-and-sort -abst.
  * Bump version requirement for python3-pdm-pep517 and python3-unearth.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Jul 2022 15:24:57 -0400

pdm (2.0.0b1+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #1014067)

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Jul 2022 17:53:05 -0400
