## pdm 2.2.1+ds1

=== tests/fixtures/projects/demo-package-has-dep-with-extras/requirements.txt ===
certifi==2021.10.8
charset-normalizer==2.0.7
idna==3.3
requests==2.26.0
urllib3==1.26.7
