=== debian/changelog ===
pdm (2.2.1+ds1-1) unstable; urgency=medium

  * New upstream release 2.2.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Nov 2022 15:15:11 -0500

pdm (2.1.4+ds1-1) unstable; urgency=medium

  * New upstream release 2.1.4.
  * debian/control: Update package version requirement.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Sep 2022 14:24:36 -0400
