=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3,
  python3-blinker,
  python3-cachecontrol,
+ python3-certifi (>> 2022.6.15),
  python3-django <!nocheck>,
  python3-dotenv,
  python3-findpython,
@@ -26,13 +27,14 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-pytest-xdist <!nocheck>,
+ python3-pytest-rerunfailures <!nocheck>,
  python3-requests-toolbelt,
  python3-resolvelib,
  python3-rich,
  python3-shellingham,
  python3-tomli,
  python3-tomlkit,
- python3-unearth (>= 0.5.2~),
+ python3-unearth (>= 0.6~),
  python3-virtualenv,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
