=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_auto_test:
	# Tests will fail due to missing artifacts
	-dh_auto_test

execute_after_dh_python3:
	# Drop .pdm.toml
	rm -fv debian/*/usr/lib/python3/dist-packages/.pdm.toml
	 # Drop __pypackages__
	rm -rfv debian/*/usr/lib/python3/dist-packages/__pypackages__
