## pdm 2.20.1+ds1

=== chatbot/requirements.txt ===
# This file is @generated by PDM.
# Please do not edit it manually.

aiohttp==3.9.5
aiosignal==1.3.1
altair==5.2.0
annotated-types==0.6.0
anyio==4.3.0
async-timeout==4.0.3; python_version < "3.11"
attrs==23.2.0
azure-core==1.30.2
azure-identity==1.17.1
beautifulsoup4==4.12.3
blinker==1.7.0
cachetools==5.3.2
certifi==2024.7.4
cffi==1.16.0; platform_python_implementation != "PyPy"
charset-normalizer==3.3.2
click==8.1.7
colorama==0.4.6; platform_system == "Windows"
cryptography==42.0.8
dataclasses-json==0.6.4
deprecated==1.2.14
dirtyjson==1.0.8
distro==1.9.0
exceptiongroup==1.2.1; python_version < "3.11"
frozenlist==1.4.1
fsspec==2024.3.1
gitdb==4.0.11
gitpython==3.1.41
greenlet==3.0.3
h11==0.14.0
httpcore==1.0.5
httpx==0.27.0
idna==3.7
jinja2==3.1.3
jiter==0.5.0
joblib==1.4.0
jsonschema==4.20.0
jsonschema-specifications==2023.12.1
llama-index-core==0.10.68.post1
llama-index-embeddings-azure-openai==0.1.11
llama-index-embeddings-openai==0.1.10
llama-index-llms-azure-openai==0.1.10
llama-index-llms-openai==0.1.15
llama-index-readers-file==0.1.33
markdown-it-py==3.0.0
markupsafe==2.1.3
marshmallow==3.21.1
mdurl==0.1.2
msal==1.29.0
msal-extensions==1.2.0
multidict==6.0.5
mypy-extensions==1.0.0
nest-asyncio==1.6.0
networkx==3.3
nltk==3.8.1
numpy==1.26.4
openai==1.42.0
packaging==23.2
pandas==2.2.2
pillow==10.3.0
portalocker==2.10.0
protobuf==4.25.2
pyarrow==14.0.2
pycparser==2.22; platform_python_implementation != "PyPy"
pydantic==2.7.0
pydantic-core==2.18.1
pydeck==0.8.1b0
pygments==2.17.2
pyjwt==2.8.0
pyjwt[crypto]==2.8.0
pypdf==4.2.0
python-dateutil==2.9.0.post0
pytz==2024.1
pywin32==306; platform_system == "Windows"
pyyaml==6.0.1
referencing==0.32.1
regex==2024.4.16
requests==2.31.0
rich==13.7.0
rpds-py==0.16.2
setuptools==73.0.1
six==1.16.0
smmap==5.0.1
sniffio==1.3.1
soupsieve==2.5
sqlalchemy==2.0.29
sqlalchemy[asyncio]==2.0.29
streamlit==1.37.1
striprtf==0.0.26
tenacity==8.2.3
tiktoken==0.6.0
toml==0.10.2
toolz==0.12.0
tornado==6.4
tqdm==4.66.2
typing-extensions==4.11.0
typing-inspect==0.9.0
tzdata==2024.1
urllib3==2.2.1
watchdog==3.0.0; platform_system != "Darwin"
wrapt==1.16.0
yarl==1.9.4
