=== debian/changelog ===
pdm (2.20.1+ds1-2) unstable; urgency=medium

  * debian/control: Add missing build-dep python3-pbs-installer.
  * debian/patches/0001-Patch-out-usage-of-pbs_installer.patch:
    Dropped now that we have pbs_installer in Debian. (Closes: #1087130)

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Mar 2025 19:58:15 -0500

pdm (2.20.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 09:11:44 -0500

pdm (2.20.0.post1+ds1-2) unstable; urgency=medium

  * debian/py3dist-overrides: Dropped, not needed anymore.
  * Mark that new version has fixed CVE-2023-45805.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 17:54:25 -0500

pdm (2.20.0.post1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Migrate from pdm-pep517 to pdm-backend buildsystem.
  * debian/control: Add new build-dependencies.
  * debian/patches/0001-Patch-out-usage-of-pbs_installer.patch: Add this
    temporary patch for now.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 15:23:15 -0500

pdm (2.2.1+ds1-2) unstable; urgency=medium

  * Team upload
  * Switch to python3-pyproject-hooks from python3-pep517

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 18 Mar 2024 00:16:54 +0100
