=== debian/control ===
--- 
+++ 
@@ -12,31 +12,40 @@
  python3-blinker,
  python3-cachecontrol,
  python3-certifi (>> 2022.6.15),
+ python3-dep-logic,
  python3-django <!nocheck>,
  python3-dotenv,
+ python3-filelock,
  python3-findpython,
  python3-first <!nocheck>,
+ python3-hishel,
+ python3-httpx,
  python3-installer,
  python3-ipython <!nocheck>,
+ python3-msgpack,
  python3-packaging,
- python3-pdm-pep517 (>= 1.0.0),
- python3-pep517,
+ python3-pbs-installer,
+ python3-pdm-backend,
  python3-pip,
  python3-platformdirs,
+ python3-pyproject-hooks,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-pytest-httpserver <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-pytest-rerunfailures <!nocheck>,
  python3-requests-toolbelt,
- python3-resolvelib,
+ python3-resolvelib (>= 1.1),
  python3-rich,
  python3-shellingham,
+ python3-truststore,
  python3-tomli,
  python3-tomlkit,
- python3-unearth (>= 0.6~),
+ python3-truststore,
+ python3-unearth (>= 0.9),
  python3-virtualenv,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pdm-project/pdm
 Vcs-Git: https://salsa.debian.org/python-team/packages/pdm.git
