=== tests/fixtures/projects/demo-package-has-dep-with-extras/requirements.txt ===
# This file is @generated by PDM.
# Please do not edit it manually.

certifi==2021.10.8
charset-normalizer==2.0.7; python_version >= "3"
idna==3.3; python_version >= "3"
requests==2.26.0
urllib3==1.26.7
