=== debian/changelog ===
pdm (2.23.1-2) unstable; urgency=medium

  * Team upload.
  * Disable one more test

 -- Alexandre Detiste <tchet@debian.org>  Tue, 12 Aug 2025 21:23:10 +0200

pdm (2.23.1-1) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-tomli

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Build-Depends: Replace python3-pep517 by python3-pyproject-hooks
    Closes: #1043002
  * Build-Depends: python3-pdm-backend
  * Build-Depends: python3-pytest-httpserver to fix at least one test suite
    error
  * Fix import of BaseProvider
  * Provide artifacts in multi-source tarball to enable testing
  * Do not continue in case of failures since test artifacts are provided now
  * Drop .pdm-python

  [ eevelweezel ]
  * New upstream version 2.23.1.
  * Skip failing tests and tests requiring internet
  * Standards-Version: 4.7.2 (routine-update)

  [ Stefano Rivera ]
  * Refresh patches.
  * Drop 0001-Disable-dynamic-version.patch, no longer needed.
  * Remove missing-sources, no longer needed.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 14:32:14 +0200
