=== debian/watch ===
version=4
opts="uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/pdm-project/pdm/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
